#region Copyright
//
// Copyright (C) 2010-2011 by Autodesk, Inc.
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted,
// provided that the above copyright notice appears in all copies and
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//
// 
#endregion // Copyright

using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Windows.Forms;
//using System.Windows.Media;
//using System.Windows.Media.Imaging;
using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.UI.Events;
using System.IO;

namespace Revit.Test.MepPlaceholders
{
  public class AddRibbonTabs : IExternalApplication
  {
    public Result OnShutdown( UIControlledApplication a )
    {
      return Result.Succeeded;
    }

    public Result OnStartup( UIControlledApplication a )
    {
      string tabName = "DevDay 2010 MEP";
      string panelName = "Revit Galaxy Examples";
      //string root = @"C:\API samples\src\";
      string root = @"D:\RevitAPI 2012\Webcast\DevDay Online\Developer Days Online - Revit 2012 API Whats New\Samples\"; 
      string path;

      a.CreateRibbonTab( tabName );
      m_projectPanel = a.CreateRibbonPanel( tabName, panelName );

      //path = Path.Combine( root, "MepPlaceholders/bin/Debug/MEPPlaceholders.dll" );
      path = typeof( AddRibbonTabs ).Assembly.Location;

      Debug.Assert( File.Exists( path ), "missing " + path );

      PushButtonData placeholderSystemButton = new PushButtonData( 
        "Create Placeholder System", 
        "Placeholder System",
        path,
        "Revit.Test.MepPlaceholders.MEPPlaceholders");

      PushButtonData convertPlaceholderButton = new PushButtonData( 
        "Convert Placeholders", 
        "Convert Placeholders",
        path, 
        "Revit.Test.MepPlaceholders.ConvertPlaceholders" );

      projectButtons.AddRange( m_projectPanel.AddStackedItems( placeholderSystemButton, convertPlaceholderButton ) );

      return Result.Succeeded;
    }

    private RibbonPanel m_projectPanel;
    private List<RibbonItem> projectButtons = new List<RibbonItem>();
    private List<RibbonItem> familyButtons = new List<RibbonItem>();
  }
}
